Hé oui… C'est prévu !!! Et en fait, il est même courant d'installer des packages unstable sur un système en testing. Donc comme les gens de Debian sont des gens de bien, ils ont fait en sorte que l'installation reste conviviale. Si vous téléchargez les paquets avec leurs dépendances à la main et que vous les installez à coup de dpkg -i, vous allez vous rendre compte qu'il y a beaucoup, beaucoup plus simple…

D'abord rajoutez dans /etc/apt/sources.list les sources de la debian unstable (en gros, copiez toutes les lignes où il y a testing en remplacant testing par unstable). Mais n'effacez surtout pas les ligne testing =)

Ensuite, dans le fichier /etc/apt/apt.conf ajoutez la ligne suivante :

APT::Default-Release "testing";

Voilà, c'est fini. Et maintenant, quand vous faites apt-get install mozilla-browser/unstable il vous télécharge mozilla-browser et si les librairies de votre système ne sont pas assez récentes, il les remplace tout seul par les plus récentes. Idem lors d'un apt-get upgrade =)

linux/debian_mix_de_releases.txt · Last modified: 2010/01/12 13:29 (external edit)